Follow

What web browser should I use?

The observation platform is functional on Chrome, Safari, Firefox, and Internet Explorer.

However, if you are using an older version of your web browser, you will be asked to upgrade your browser when you visit the BloomBoard site. Please upgrade your web browser. If you are using Internet Explorer, you must use version 10 or later.

Was this article helpful?
7 out of 7 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk